[Fai-commit] r5482 - in trunk: debian examples/simple/class examples/simple/scripts/DEMO examples/simple/scripts/FAISERVER

Thomas Lange lange at alioth.debian.org
Thu Jul 23 16:29:53 UTC 2009


Author: lange
Date: 2009-07-23 16:29:52 +0000 (Thu, 23 Jul 2009)
New Revision: 5482

Modified:
   trunk/debian/changelog
   trunk/examples/simple/class/20-hwdetect.source
   trunk/examples/simple/scripts/DEMO/10-misc
   trunk/examples/simple/scripts/FAISERVER/10-conffiles
Log:
20-hwdetect.source, DEMO/10-misc,10-conffiles: apply patch from
Michael, that skip somme commands on softupdate

Modified: trunk/debian/changelog
===================================================================
--- trunk/debian/changelog	2009-07-23 16:27:21 UTC (rev 5481)
+++ trunk/debian/changelog	2009-07-23 16:29:52 UTC (rev 5482)
@@ -46,6 +46,8 @@
   * examples/more-tests: add more tests from Sebastian
   * savelog.LAST.source: add error patterns
   * LAST/50-misc: use ainsl instead of echo
+  * 20-hwdetect.source, DEMO/10-misc,10-conffiles: apply patch from
+    Michael, that skip somme commands on softupdate
   
   [ Michael Tautschnig ]
   * setup-storage/Parser.pm: Set the boot flag on partition mounted at /, if

Modified: trunk/examples/simple/class/20-hwdetect.source
===================================================================
--- trunk/examples/simple/class/20-hwdetect.source	2009-07-23 16:27:21 UTC (rev 5481)
+++ trunk/examples/simple/class/20-hwdetect.source	2009-07-23 16:29:52 UTC (rev 5482)
@@ -1,11 +1,11 @@
 #! /bin/bash
 
-# (c) Thomas Lange, 2002-2008, lange at informatik.uni-koeln.de
+# (c) Thomas Lange, 2002-2009, lange at informatik.uni-koeln.de
 
 # NOTE: Files named *.source will be evaluated, but their output ignored. Instead
 # the contents of $newclasses will be added to the list of defined classes.
 
-[ "$action" = "dirinstall" ] && return 0 # Do not execute when doing dirinstall
+[ "$action" = "install" ] || return 0 # Do only execute when doing install
 
 echo 0 > /proc/sys/kernel/printk
 

Modified: trunk/examples/simple/scripts/DEMO/10-misc
===================================================================
--- trunk/examples/simple/scripts/DEMO/10-misc	2009-07-23 16:27:21 UTC (rev 5481)
+++ trunk/examples/simple/scripts/DEMO/10-misc	2009-07-23 16:29:52 UTC (rev 5482)
@@ -1,6 +1,6 @@
 #! /bin/bash
 
-# (c) Thomas Lange, 2001-2007, lange at debian.org
+# (c) Thomas Lange, 2001-2009, lange at debian.org
 
 ifclass XORG && {
     fcopy -M /etc/X11/xorg.conf
@@ -10,5 +10,7 @@
 }
 
 # add a demo user account
-$ROOTCMD adduser --disabled-login --gecos "fai demo user" demo
-echo "demo:$ROOTPW" | $ROOTCMD chpasswd --encrypted
+if ! $ROOTCMD getent passwd demo ; then
+    $ROOTCMD adduser --disabled-login --gecos "fai demo user" demo
+    echo "demo:$ROOTPW" | $ROOTCMD chpasswd --encrypted
+fi

Modified: trunk/examples/simple/scripts/FAISERVER/10-conffiles
===================================================================
--- trunk/examples/simple/scripts/FAISERVER/10-conffiles	2009-07-23 16:27:21 UTC (rev 5481)
+++ trunk/examples/simple/scripts/FAISERVER/10-conffiles	2009-07-23 16:29:52 UTC (rev 5482)
@@ -5,10 +5,14 @@
 
 #/etc/fai/fai.conf /etc/fai/make-fai-nfsroot.conf
 fcopy /etc/apt-proxy/apt-proxy-v2.conf /etc/fai/apt/sources.list
-# use the same sources.list for the server itself and the clients
-cp -a $target/etc/fai/apt $target/etc/
 
-rm -f $target/etc/resolv.conf
+if [ $FAI_ACTION = "install" ]; then
 
-# create some host entries
-perl -e 'for (1..25) {printf "192.168.1.%s atom%02s\n",$_,$_;}' >> $target/etc/hosts
+    # use the same sources.list for the server itself and the clients
+    cp -a $target/etc/fai/apt $target/etc/
+
+    rm -f $target/etc/resolv.conf
+
+    # create some host entries
+    perl -e 'for (1..25) {printf "192.168.1.%s atom%02s\n",$_,$_;}' >> $target/etc/hosts
+fi




More information about the Fai-commit mailing list